%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )

%define _galera_name        galera
%define _galera_ug_name     %{_galera_name}-sysusers
%define _galera_ug_pkgname  %{_galera_ug_name}
%define _galera_ug_comment  MariaDB Galera users & groups

# https://spdx.org/licenses/MIT.html
%global _galera_ug_license MIT

%define _galera_ug_file_in  %{_galera_name}.sysusers
%define _galera_ug_file_out %{_galera_name}.conf
%define _galera_ug_dir      /etc/sysusers.d

%global dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

# NEVRA (n-e:v-r.a)
Name:              %{_galera_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch

Summary:           %{_galera_ug_comment}
License:           %{_galera_ug_license}

Source0:           %{_galera_ug_file_in}
Provides:          group(%{_galera_name})
Provides:          user(%{_galera_name})

BuildRequires:     coreutils
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_galera_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_galera_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_galera_ug_dir}/%{_galera_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_galera_ug_dir}
%{_galera_ug_dir}/%{_galera_ug_file_out}

%changelog
* Wed Apr 16 2025 pgnd _ <null@null.loc>
- bump 1744817635
